#!/bin/sh
# author: Abdulrahman Kaitoua
# PhD candidate at Politecnico di Milano, Department of Electronics, Information, and Biomedical Engineering.
# email: abdulrahman dot kaitoua at polimi dot it

SCRIPT_DIR=$(cd $(dirname $0) && pwd)
echo $SCRIPT_DIR

registeruser="repositoryManagerV1 registeruser"
annotationDataset="repositoryManagerV1 createds HG19_ANN BED $SCRIPT_DIR/data/annotations/"
narrowPeakDataSet="repositoryManagerV1 createds HG19_PEAK NARROWPEAK $SCRIPT_DIR/data/peaks/"
rnaDataSet="repositoryManagerV1 createds HG19_RNA $SCRIPT_DIR/data/RNA/RNA_GTF.schema $SCRIPT_DIR/data/RNA/"
mutationsDataset="repositoryManagerV1 createds HG19_MUT $SCRIPT_DIR/data/mutations/MUT.schema $SCRIPT_DIR/data/mutations/"
showall="repositoryManagerV1 list all"

echo "-------------------------------------------"
echo "-------------------------------------------"
echo "Register Username: $USER"
echo "Executing Command: $registeruser"
echo "-------------------------------------------"
echo "-------------------------------------------"
$registeruser
echo "-------------------------------------------"
echo "-------------------------------------------"
echo "Executing Command: $annotationDataset"
echo "-------------------------------------------"
echo "-------------------------------------------"
$annotationDataset
echo "-------------------------------------------"
echo "-------------------------------------------"
echo "Executing Command: $narrowPeakDataSet"
echo "-------------------------------------------"
echo "-------------------------------------------"
$narrowPeakDataSet
echo "-------------------------------------------"
echo "-------------------------------------------"
echo "Executing Command: $rnaDataSet"
echo "-------------------------------------------"
echo "-------------------------------------------"
$rnaDataSet
echo "-------------------------------------------"
echo "-------------------------------------------"
echo "Executing Command: $mutationsDataset"
echo "-------------------------------------------"
echo "-------------------------------------------"
$mutationsDataset
echo "-------------------------------------------"
echo "-------------------------------------------"
echo "Executing Command: $showall"
echo "-------------------------------------------"
echo "-------------------------------------------"
$showall

