#lang racket

(provide 
  library-path
  parallelism-level
  repository-root
  hadoop-repository-root
  local-repository-root
  default-user-list
  default-hadoop-materialize-directory
  default-local-materialize-directory
  default-generated-pig-code-file-path
  hadoop-region-repository-prefix
  local-region-repository-prefix)

(define library-path (string-append (getenv "GMQL_HOME") "/GMQL/GMQL.jar"))
(define repository-root (string-append (getenv "GMQL_HOME")"/data"))
(define hadoop-repository-root (getenv "GMQL_DFS_HOME"))
(define local-repository-root (string-append (getenv "GMQL_HOME") "/data"))
(define default-generated-pig-code-file-path "a.out")
(define default-hadoop-materialize-directory (getenv "GMQL_DFS_HOME"))
(define default-local-materialize-directory (string-append (getenv "GMQL_HOME") "/data/"))
(define default-user-list (list "public"))
(define parallelism-level 8)


;these two definitions are as a fix for the SELECT(*) operator (the 
; actual changes if it is on the DFS or on the local FS)
(define hadoop-region-repository-prefix "/user/public/regions")
(define local-region-repository-prefix "")
