#lang racket

(require rackunit)
(require racket/unsafe/ops)
	(provide string-trim
	 string-trim-left
	 string-trim-right)

	(define-syntax (first-non-whitespace-index stx)
	 (syntax-case stx ()
	  ((_ s start end direction)
	   (let*-values (((cmp next) (if (eq? (string->keyword "forward")
					  (syntax->datum #'direction))
				      (values #'unsafe-fx< #'unsafe-fx+)
				      (values #'unsafe-fx>= #'unsafe-fx-))))
#`(let loop ((i start))
	(if (#,cmp i end)
	 (if (not (char-whitespace? (unsafe-string-ref s i)))
	  i
	  (loop (#,next i 1)))
#f))))))

	(define (string-trim s)
	 (let* ((len        (string-length s))
		(last-index (unsafe-fx- len 1))
		(start      (first-non-whitespace-index s 0 len #:forward))
		(end        (if start
			     (unsafe-fx+ (first-non-whitespace-index s
					  last-index 0 #:backward) 1)
#f)))
	  (cond ((not start) "")
	   (else        (substring s start end)))))

	(define (string-trim-left s)
	 (let* ((len   (string-length s))
		(start (first-non-whitespace-index s 0 len #:forward)))
	  (cond ((not start) "")
	   (else        (substring s start)))))

	(define (string-trim-right s)
	 (let* ((len        (string-length s))
		(last-index (unsafe-fx- len 1))
		(end        (first-non-whitespace-index s last-index 0 #:backward)))
	  (cond ((not end) "")
	   (else      (substring s 0 (unsafe-fx+ end 1))))))
